package net.mcreator.puzzle_code.procedures;

import net.minecraft.world.level.LevelAccessor;

public class TeleporterNumberCodeBlockBlockIsPlacedByProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z) {
		if (!GetNBTLogicSystemProcedure.execute(world, x, y, z, "newNBT")) {
			SetNBTTextSystemProcedure.execute(world, x, y, z, "getNBT", "numberCodeBlock");
			SetNBTTextSystemProcedure.execute(world, x, y, z, "setNBT", "numberCodeBlock");
			SetNBTLogicSystemProcedure.execute(world, x, y, z, true, "newNBT");
		}
	}
}
